Bug 737708 - Provide native systemd services
Summary: Provide native systemd services
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: pure-ftpd
Version: rawhide
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 714424 (view as bug list)
Depends On:
Blocks: SysVtoSystemd
TreeView+ depends on / blocked
 
Reported: 2011-09-12 23:05 UTC by Jóhann B. Guðmundsson
Modified: 2016-02-01 01:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-09 18:46:00 UTC


Attachments (Terms of Use)
pure-ftpd socket (131 bytes, text/plain)
2011-09-12 23:06 UTC, Jóhann B. Guðmundsson
no flags Details
pure-ftpd service (159 bytes, text/plain)
2011-09-12 23:07 UTC, Jóhann B. Guðmundsson
no flags Details

Description Jóhann B. Guðmundsson 2011-09-12 23:05:40 UTC
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jóhann B. Guðmundsson 2011-09-12 23:06:18 UTC
Created attachment 522824 [details]
pure-ftpd socket

Comment 2 Jóhann B. Guðmundsson 2011-09-12 23:07:02 UTC
Created attachment 522825 [details]
pure-ftpd service

Comment 3 Jóhann B. Guðmundsson 2011-09-12 23:07:45 UTC
Once package and shipped your package should no longer have to depend on xinetd

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Comment 4 Fedora Admin XMLRPC Client 2012-01-11 10:35:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Jaromír Cápík 2012-02-02 15:18:09 UTC
Hello Jóhann.

Socket activated services with logging enabled seem to be a security hole and I'll probably alter the socket file in order to disable the logging.

Thank You.

Regards,
Jaromir.

Comment 6 Jaromír Cápík 2012-02-14 14:42:20 UTC
*** Bug 714424 has been marked as a duplicate of this bug. ***

Comment 7 Fedora End Of Life 2013-01-16 22:47:18 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Fedora End Of Life 2013-07-04 05:52:29 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Zbigniew Jędrzejewski-Szmek 2013-12-26 16:34:00 UTC
Ping?

Comment 10 Jaromír Cápík 2014-01-09 18:46:00 UTC
As the FTP port can be configured in the pure-ftpd.conf configuration file and users often change the port due to security reasons, I'm not convinced the service should be socket activated as the .socket files are not considered to be configuration files. However, the systemd support was introduced 2 years ago -> I believe this bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.